### Method

# Gtk CellAreaContext push_preferred_height

#### Declaration [src]

    void
    gtk_cell_area_context_push_preferred_height (
      GtkCellAreaContext* context,
      int minimum_height,
      int natural_height
    )

#### Description [src]

Causes the minimum and/or natural height to grow if the new proposed sizes exceed the current minimum and natural height.

This is used by `GtkCellAreaContext` implementations during the request process over a series of `GtkTreeModel` rows to progressively push the requested height over a series of gtk_cell_area_get_preferred_height() requests.

#### Parameters

`minimum_height` | `int`
| The proposed new minimum height for `context`.
`natural_height` | `int`
| The proposed new natural height for `context`.